Skip to main content

Create a password credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/password

Since: 2.71.0

Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialChangeState

Creates a password credential for the user with the given external ID, belonging to the specified client.

If the associated password policy has resetCodeEnabled set to true, the password is auto-generated and a password fragment is returned in the response body. If resetCodeEnabled is false, the password must be provided in the request body and no content is returned.

In case the password creation fails because the provided password violates password policies, all the related policy violations will be included in the error response.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the password credential. If not provided, an ID is auto-generated.

    policyExtId string

    The external ID of the password policy to use.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The initial state of the credential.

    password string

    The password value. Required when resetCodeEnabled is false in the password policy. Must be omitted when resetCodeEnabled is true.

Responses

Password created, password fragment returned

Response Headers
  • Location any

    URL of the created resource

Schema
    passwordFragment string

    A part of the generated password.

Loading...